org.mariadb.jdbc.internal.packet.dao.parameters

## Class LongDataParameterHolder

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.ParameterHolder
  - - org.mariadb.jdbc.internal.packet.dao.parameters.LongDataParameterHolder

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  ReaderParameter, SerializableParameter, StreamParameter

    public abstract class LongDataParameterHolder
    extends ParameterHolder

### Field Summary

Fields
`MariaDbCharset` `mariaDbCharset`

### Constructor Summary

Constructors
Constructor and Description
`LongDataParameterHolder()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `isLongData()`
`void` `setMariaDbServerCharset(MariaDbCharset mariaDbCharset)`
`abstract void` `writeBinary(PacketOutputStream writeBuffer)`

### Methods inherited from class org.mariadb.jdbc.internal.packet.dao.parameters.ParameterHolder

`getApproximateTextProtocolLength, getMariaDbType, toString, writeBufferType, writeTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mariaDbCharset

    public MariaDbCharset mariaDbCharset

### Constructor Detail

#### LongDataParameterHolder

    public LongDataParameterHolder()

### Method Detail

#### writeBinary

    public abstract void writeBinary(PacketOutputStream writeBuffer)
                              throws IOException

Throws:
  `IOException`

#### setMariaDbServerCharset

    public void setMariaDbServerCharset(MariaDbCharset mariaDbCharset)

#### isLongData

    public boolean isLongData()

Specified by:
  `isLongData` in class `ParameterHolder`